com.lowagie.text.html

## Class HtmlTagMap

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - com.lowagie.text.html.HtmlTagMap

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.util.Map

      public class HtmlTagMap
      extends java.util.HashMap

  The `Tags`-class maps several XHTML-tags to iText-objects.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `java.util.AbstractMap.SimpleEntry<K,V>, java.util.AbstractMap.SimpleImmutableEntry<K,V>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HtmlTagMap()` Constructs an HtmlTagMap.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `isBody(java.lang.String tag)` Checks if this is the root tag.
    `static boolean` | `isHead(java.lang.String tag)` Checks if this is the head tag.
    `static boolean` | `isHtml(java.lang.String tag)` Checks if this is the root tag.
    `static boolean` | `isLink(java.lang.String tag)` Checks if this is the link tag.
    `static boolean` | `isMeta(java.lang.String tag)` Checks if this is the meta tag.
    `static boolean` | `isSpecialTag(java.lang.String tag)` Checks if this is a special tag.
    `static boolean` | `isTitle(java.lang.String tag)` Checks if this is the title tag.

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HtmlTagMap

          public HtmlTagMap()

      Constructs an HtmlTagMap.

  - ### Method Detail

    - #### isHtml

          public static boolean isHtml(java.lang.String tag)

      Checks if this is the root tag.
      Parameters:
        `tag` - a tagvalue
      Returns:
        true if tag is HTML or html

    - #### isHead

          public static boolean isHead(java.lang.String tag)

      Checks if this is the head tag.
      Parameters:
        `tag` - a tagvalue
      Returns:
        true if tag is HEAD or head

    - #### isMeta

          public static boolean isMeta(java.lang.String tag)

      Checks if this is the meta tag.
      Parameters:
        `tag` - a tagvalue
      Returns:
        true if tag is META or meta

    - #### isLink

          public static boolean isLink(java.lang.String tag)

      Checks if this is the link tag.
      Parameters:
        `tag` - a tagvalue
      Returns:
        true if tag is LINK or link

    - #### isTitle

          public static boolean isTitle(java.lang.String tag)

      Checks if this is the title tag.
      Parameters:
        `tag` - a tagvalue
      Returns:
        true if tag is TITLE or title

    - #### isBody

          public static boolean isBody(java.lang.String tag)

      Checks if this is the root tag.
      Parameters:
        `tag` - a tagvalue
      Returns:
        true if tag is BODY or body

    - #### isSpecialTag

          public static boolean isSpecialTag(java.lang.String tag)

      Checks if this is a special tag.
      Parameters:
        `tag` - a tagvalue
      Returns:
        true if tag is a HTML, HEAD, META, LINK or BODY tag (case insensitive)